<?php
session_start();	
	if (!isset($_SESSION['nazwa'])) {
			header('Location: ../login.php');
			exit();
	}
	if (isset($_POST['zusun'])) {
		require_once('../wiras_php/wa_baza/wa_polacz.php');
		$dane = $_POST['sel_usun'];
		$tab = explode("-", $dane);
		$nazwa = $tab[1];
		$id = $tab[0];
		$kat = "../pliki/upload/$nazwa";

		$zap = "DELETE FROM users WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM blog_komentarz WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM blog_setup WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM blog_wpis WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM czat WHERE od='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM czat WHERE do='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM czat_online WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM galeria WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM gry_kolormania WHERE imie='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM gry_reflit WHERE nazwa='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM gry_refset WHERE nazwa='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM ogloszenia WHERE nazwa='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM stopka WHERE nazwa='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM strona_pliki WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM strona_setup WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);	
			
		$zap = "DELETE FROM strona_tresc WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM users_formularze WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM users_online WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM users_session WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM wgraf WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM wgraf_adresaci WHERE od='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM wgraf_adresaci WHERE do='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM wyniki_ankieta WHERE nazwa='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM wyniki_test WHERE nazwa='$nazwa'";
			$wykonaj = mysqli_query($db, $zap);
			
		$zap = "DELETE FROM zwierzenia WHERE id_userpyt=$id";
			$wykonaj = mysqli_query($db, $zap);
			
		$avatarm = '../img/avatar/male/'.$nazwa.'.jpg';
		$avatard = '../img/avatar/'.$nazwa.'.jpg';
		delete_file($avatarm);
		delete_file($avatard);
			
		addu_komunikat('Usunąłem wszystkie dane użytkownika o nazwie: '.$nazwa.'( ID: '.$id.')');
		
		if (delete_directory($kat)) {
			addu_komunikat('Usunąłem wszystkie dane użytkownika o nazwie: '.$nazwa.'( ID: '.$id.')');
		} else addu_komunikat('Wystąpił błąd z usunięciem katalogów użytkownika');
	}
	
	
	function addu_komunikat($kom) {
		$_SESSION['addu_kom']=$kom;
		unset($_POST['zusun']);
		unset($_POST['sel_usun']);
		header('Location: ../index.php?m=20');
		return false;
	}	
	
	
	function delete_directory($dirname) {
 
		//weryfikacja czy istnieje podana lokalizacja
		if(!file_exists($dirname))
			return false;
	 
		//sprawdzenie czy jest to katalog
		if (is_dir($dirname))
			 $dir_handle = opendir($dirname);
	 
		//jeśli nie udało się otworzyć lokalizacji opuszczenie funkcji
		if (!$dir_handle)
			 return false;
	 
		//przejrzenie zawartości katalogu
		while($file = readdir($dir_handle)) {
	 
			//odrzucenie ścieżki bierzącego katalogu i katalogu nadrzędnego
			if ($file != '.' && $file != '..') {
	 
				//jeśli element katalogu nie jest także katalogiem usunięcie go
				if (!is_dir($dirname."/".$file))
					//usunięcie pliku
					unlink($dirname."/".$file);
				else
					//jeśli element jest katalogiem wykonanie funkcji delete_directory dla niego
					delete_directory($dirname.'/'.$file);         
			}
		}
	 
		//zamknięcie lokalizacji
		closedir($dir_handle);
	 
		//usunięcie katalogu
		rmdir($dirname);
		return true;
	}
 
	function delete_file($nazwa) {
		$plik = $nazwa;
		$test = file_exists($plik); 
		if ($test) { 
			unlink($plik);
		}
	}

?>